h1 {
    color: #333;
    transform: translateZ(0);
    height: $header_height;
}
header {
    height: $header_height;
    width: 100vw;
    position: fixed;
    top: 0;
    left: 0;
    box-shadow: 0 0 1px 1px rgba(125,125,125,0.5);
    z-index: 3;
    background: #fff;
}
.header_inner {
    position: relative;
}
.header_icon {
    display: block;
    width: $header_height;
    height: $header_height;
    text-align: center;
    vertical-align: middle;
    color: $primary;
    i {
        line-height: $header_height;
        pointer-events: none;
    }
    &.header_menu {
        // float: left;
    }
    &.header_search {
        // float: right;
    }
    &.header_cart {
        // float: right;
        position: relative;
        span {
            display: block;
            position: absolute;
            width: 21px;
            height: 21px;
            line-height: 21px;
            text-align: center;
            color: #fff;
            background: red;
            font-size: 12px;
            border-radius: 50% 50%;
            top: 5px;
            right: 5px;
        }
    }
}
.logo {
    position: absolute;
    left: 50%;
    width: 60%;
    height: $header_height;
    margin-left: -30%;
    text-decoration: none;
    text-align: center;
    // background: url(../images/logo.png) no-repeat center center/auto $header_height*0.3;
    h1 {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    img {
        height: 30%;
        width: auto;
        display: block;
    }
}
.offcanvas {
    position: fixed;
    width: 80vw;
    transform: translateX(-80vw);
    top: 0;
    left: 0;
    transition: transform .5s;
    height: 100vh;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    z-index: 10;
    &.active {
        transform: translateX(0);
    }
    > ul {
        > li {
            border-bottom: solid 1px $line_gray;
            > a {
                position: relative;
                line-height: 60px;
                &:before {
                    content: '+';
                    line-height: 60px;
                    position: absolute;
                    right: 20px;
                    top: 0;
                }
                &.active {
                    border-bottom: $line_gray;
                    &:before {
                        content: '-';
                    }
                }
            }
        }
    }
    a {
        display: block;
        padding: 0 20px;
    }
    .submenu {
        display: none;
        margin-left: 20px;
        margin-bottom: 10px;
        &.active {
            display: block;
        }
        a {
            line-height: 40px;
            color: #888;
        }
    }   
}
.searchWrap {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 2;
    display: none;
    padding: $header_height 0 0;
    &.active {
        display: block;
    }
    .searchWrap_inner {
        padding: 20px;
        background-color: #fff;
    }
    input {
        width: calc(100% - 45px);
        border: solid 1px $line_gray;
        display: inline-block;
    }
    a {
        display: inline-block;
        width: 35px;
        line-height: 40px;
        text-align: center;
        color: $line_gray;
    }
}
.mainMenu {
    text-align: center;
    box-shadow: 0 0 1px 1px rgba(125, 125, 125, 0.5);
    a {
        line-height: 40px;
        display: block;
        transition: all .5s;
        padding: 0 30px 0 15px;
        &:hover {
            // background: #333;
            color: $mid_gray;
        }
    }
    li {
        float: left;
        position: relative;
        &:hover {
            .submenu {
                display: block;
            }
        }
    }
    .submenu {
        display: none;
        background: #fff;
        box-shadow: 0 2px 1px 1px rgba(125, 125, 125, 0.5);
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 1;
        li {
            float: none;
            padding: 0;
            text-align: left;
        }
        a {
            color: #888;
            display: block;
            padding: 0 20px;
            &:hover {
                background: #888;
                color: #fff;
            }
        }
    }
}

@media (min-width: $tablet-width) {
    .searchWrap {
        display: block;
        width: 150px;
        height: 50px;
        left: auto;
        right: 50px;
        top: 0;
        background: transparent;
        padding: 0;
        z-index: 4;
        .searchWrap_inner {
            padding: 3px 0 0;
        }
    }
    input {
        line-height: 22px;
    }
}

@media (min-width: $desktop-width) {
    header {
        box-shadow: 0 0 0 0 transparent;
    }
    .searchWrap {
        position: absolute;
        right: calc(50vw - #{$wrap_width/2} + 100px);
    }
    .logo {
        left: 0;
        margin-left: 0;
        background-position: 15px center;
        width: 100px;
    }
}